end_that_request_first
Prev | Chapter 19. Block Devices | Next

## Name

end_that_request_first — end I/O on a request

## Synopsis

`int end_that_request_first (` | struct request * | req,
| int | uptodate,
| int | nr_sectors`)`;

## Arguments

`req`

  the request being processed

`uptodate`

  1 for success, 0 for I/O error, < 0 for specific error

`nr_sectors`

  number of sectors to end I/O on

## Description

Ends I/O on a number of sectors attached to `req`, and sets it up for the next range of segments (if any) in the cluster.

## Return

0 - we are done with this request, call `end_that_request_last` 1 - still buffers pending for this request

Prev | Up | Next
submit_bio | Home | end_that_request_chunk